
class NilClass

  # Allows <tt>nil</tt> to respond to #include? method.
  # Alwasy returns <tt>nil</tt>.
  #
  #  nil.include?("abc")   #=> nil
  #
  def include?(*args); nil; end

end


#  _____         _
# |_   _|__  ___| |_
#   | |/ _ \/ __| __|
#   | |  __/\__ \ |_
#   |_|\___||___/\__|
#
=begin test

  require 'test/unit'

  class TCNilClass < Test::Unit::TestCase

    def test_include?
      assert_equal( nil, nil.include? )
    end

  end

=end
